Jobs
List jobs
GET
Lists all in-progress and completed jobs for the authenticated user. Results are paginated.
token_authheader
AuthorizationBearer <token>Token-based authentication using access tokens.
page?PagePage number.
Default
1per_page?Per PageItems per page.
Range
1 <= value <= 100Default
20order?OrderSort order.
Default
"desc"Value in
"asc""desc"status?|Filter jobs by status (optional).
Default
nulltype?|Filter jobs by type (optional).
Default
nullstarted_after?|Filter jobs started after this datetime (ISO 8601 format, optional).
Default
nullended_before?|Filter jobs ended before this datetime (ISO 8601 format, optional).
Default
nullownership?|Filter by ownership: 'mine' for own jobs, 'shared' for group members' jobs.
Default
nullSuccessful Response
application/json- response
jobs*array<>List of jobs.
pagination*Pagination details.
curl -X GET "https://example.com/jobs"{ "jobs": [ { "error_message": "string", "total_images": 0, "processed_images": 0, "created_at": "string", "updated_at": "string", "job_id": "string", "job_type": "string", "status": "string", "identity_code": "string", "identity_name": "string", "project_id": 0, "project_text": "string", "project_key": "string", "progress": 0, "should_post_process": true, "post_processing_status": "string", "processing_options": null, "created_by": "string" } ], "pagination": { "page": 0, "per_page": 0, "total": 0, "pages": 0, "has_next": true, "has_prev": true }}